- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::OneBodyDerivIntCCA Class Reference

This implements one body derivative integrals. More...

`#include <obintcca.h>`

Inheritance diagram for sc::OneBodyDerivIntCCA:

List of all members.

## Public Member Functions
| OneBodyDerivIntCCA (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralEvaluatorFactory, bool, string)
void | compute_shell (int, int, DerivCenters &)
| Compute the derivative integrals and place the result in the buffer returned by buffer().
void | compute_shell (int, int, int)
| Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().
## Protected Types
typedef void(Int1eCCA::*) | IntegralFunction (int, int, DerivCenters &)
## Protected Attributes
Ref< Int1eCCA > | int1ecca_

## Detailed Description

This implements one body derivative integrals.

It is given a function pointer to the Int1eCCA member that computes the particular integral of interest.

## Member Function Documentation

void sc::OneBodyDerivIntCCA::compute_shell | ( | int | ish,
|  | int | jsh,
|  | DerivCenters & |  |
| ) |  |  | `[virtual]`

Compute the derivative integrals and place the result in the buffer returned by buffer().

Implements sc::OneBodyDerivInt.

void sc::OneBodyDerivIntCCA::compute_shell | ( | int | ish,
|  | int | jsh,
|  | int | center |
| ) |  |  | `[virtual]`

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

Implements sc::OneBodyDerivInt.

The documentation for this class was generated from the following file:

- obintcca.h